Raise project-identifier length-limit from 20 to 30 characters
Category: Projects Estimated time: 0.00 hour

Target version:    

Description

I just add this patch more as a PoC showing how it could be done. I thought it might be usefull for some other users...

Note that this patch raises the maximum-length of a project-identifer from 20 characters to 30 characters. If the limit of 30 characters

isn't sufficient modify the patch by replacing the instances of 30 (29 in some cases) to the desired maximum-length.

Note: this patch requires a migration. The migration-file is in Timestamped-style so it won't conflict with upstream but can be modified

easily (when once needed). The used timestamp is: 20081007020300

Warning: this patch can malform/break URL's depending on your setup. I guess that is the main reason why project-identifiers are

limited to 20 characters by default anyway.

Related issues:

Blocks Redmine - Feature #6446: Remove length limits on project identifier an... Closed 2010-09-20

History

#1 - 2008-10-07 11:21 - Anonymous

Could you please increase the length to 60 characters as well (see #1789, #1893)?

#2 - 2008-10-07 19:23 - Szabolcs Szasz

Yes, great, and please, if you are anyway at it, could you also do remove the arbitrary and unnecessary 3-char lower limits, too? (See #2003.) I'd

prefer the absolute minimum, which is 1. (I'm no big fan of l'art pour l'art arbitrary restrictions.)

#3 - 2008-10-07 19:26 - Mischa The Evil

Alexandre Garino wrote:

Could you please increase the length to 60 characters as well (see #1789, #1893)?

 I'd suggest that you modify the patches #1789 & #1998 yourself like I say in both issues:

If the limit of 30 characters isn't sufficient modify the patch by replacing the instances of 30 (29 in some cases) to the desired maximum-length

 This is to kiss: otherwise seperate patches for several lenght-limits (30, 40, 50 etc.) should be created. Just read the contents of the patch (through

redmine?) to see where I made the changes to 30 (29) and replace them by 60 (59).

HTH...

#4 - 2009-10-22 15:24 - G N

+1 for both

lowering the minimum identifier length to 1 and

increasing the maximum identifier length to a reasonable value

#5 - 2010-07-29 09:43 - Anthony Paul

+1

I actually patch the code to increase the identifier and name length to 255. It would be nice to have this feature by default or at least via a setting

option.

#6 - 2010-11-14 14:11 - Jean-Philippe Lang

- Status changed from New to Closed
https://www.redmine.org/issues/1789
https://www.redmine.org/issues/1893
https://www.redmine.org/issues/2003
https://www.redmine.org/issues/1789
https://www.redmine.org/issues/1893
https://www.redmine.org/issues/1789
https://www.redmine.org/issues/1998


See #6446.
